[SciPy-dev] Compile failure of CVS version

Berthold Hoellmann bhoel at web.de
Wed Sep 10 12:25:44 CDT 2003


Hello,

Trying to compile the latest CVS version of SciPy I get:

gcc -fno-strict-aliasing -DNDEBUG -g -O3 -Wstrict-prototypes -O3 -fstrict-aliasing -funroll-loops -fschedule-insns2 -ffast-math -fno-math-errno -funsafe-math-optimizations -fno-trapping-math -march=athlon-xp -mfpmath=sse -msse -mmmx -m3dnow -fPIC -I/home/devel/CVS/scipy/Lib_chaco/agg2/include -I/home/devel/CVS/scipy/Lib_chaco/kiva/agg/swig_src/include -I/usr/local/include/python2.3 -c /home/devel/CVS/scipy/Lib_chaco/kiva/agg/swig_src/agg_wrap.cxx -o build/temp.linux-i686-2.3/home/devel/CVS/scipy/Lib_chaco/kiva/agg/swig_src/agg_wrap.o
In file included from /home/devel/CVS/scipy/Lib_chaco/kiva/agg/swig_src/agg_wrap.cxx:982:
/home/devel/CVS/scipy/Lib_chaco/kiva/agg/swig_src/kiva_graphics_context.h:515: error: invalid
   type `agg::rgba' for default argument to `agg::rgba&'
/home/devel/CVS/scipy/Lib_chaco/kiva/agg/swig_src/agg_wrap.cxx: In function `
   PyObject* _wrap__GraphicsContextArray_clear(PyObject*, PyObject*)':
/home/devel/CVS/scipy/Lib_chaco/kiva/agg/swig_src/agg_wrap.cxx:5182: error: could
   not convert `rgba(1.0e+0, 1.0e+0, 1.0e+0, 1.0e+0)' to `agg::rgba&'
error: command 'gcc' failed with exit status 1

I am on a SuSE 8.2 but with 

gcc --version
gcc (GCC) 3.3 (SuSE Linux)
Copyright (C) 2003 Free Software Foundation, Inc.

instead of the original delivered prerelease version and a self
compiled Python 2.3.

Sorry, but I don't know enough about C++ to provide a patch.

Greetings
Berthold
-- 
bhoel at web.de / http://starship.python.net/crew/bhoel/
        It is unlawful to use this email address for unsolicited ads
        (USC Title 47 Sec.227). I will assess a US$500 charge for
        reviewing and deleting each unsolicited ad.




More information about the Scipy-dev mailing list